mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

The , , and parameters refer to the address parameters in the interface methods.

Specifies address types for local variables, parameters, and fields in the methods , , and of the interface.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.SymAddressKind To be added

  A bit field. The parameter is the position where the field starts, and the parameter is the field length.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.SymAddressKind To be added

  A Microsoft intermediate language (MSIL) offset. The parameter is the MSIL local variable or parameter index.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.SymAddressKind To be added

  A native offset. The parameter is the offset from the start of the parent.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.SymAddressKind To be added

  A native register address. The parameter is the register in which the variable is stored.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.SymAddressKind To be added

  A register-relative address. The parameter is the low-order register, and the parameter is the high-order register.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.SymAddressKind To be added

  A register-relative address. The parameter is the register, and the parameter is the offset.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.SymAddressKind To be added

  A register-relative address. The parameter is the low-order register, the parameter is the stack register, and the parameter is the offset from the stack pointer to the high-order part of the value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.SymAddressKind To be added

  A native Relevant Virtual Address (RVA). The parameter is the RVA in the module.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.SymAddressKind

  A native section offset. The parameter is the section, and the parameter is the offset.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.SymAddressKind To be added

  A register-relative address. The parameter is the stack register, the parameter is the offset from the stack pointer to the low-order part of the value, and the parameter is the high-order register.